ifndef QCONFIG
QCONFIG=qconfig.mk
endif
include $(QCONFIG)

NAME=pci-$(SECTION)
EXTRA_SILENT_VARIANTS+=$(subst -, ,$(SECTION))

EXTRA_INCVPATH = $(PROJECT_ROOT)/include $(LIBSTARTUP_ROOT)/public
PRE_SRCVPATH = $(foreach var,$(filter a, $(VARIANTS)),$(CPU_ROOT)/$(subst $(space),.,$(patsubst a,dll,$(filter-out g, $(VARIANTS)))))
USEFILE=$(PROJECT_ROOT)/$(SECTION)/$(NAME).use

define PINFO
PINFO DESCRIPTION=
endef

include $(MKFILES_ROOT)/qmacros.mk

-include $(PROJECT_ROOT)/roots.mk

ifndef LIBSTARTUP_ROOT
LIBSTARTUP_ROOT=$(PRODUCT_ROOT)/lib
endif

include $(PROJECT_ROOT)/$(SECTION)/pinfo.mk

ifndef DBIND
DBIND:=$(subst -,,$(SECTION))
endif

CCFLAGS += $(foreach var,$(DBIND), -DDLL_$(notdir $(var))) -DDLL_OVERRIDES -Dpci_entry=$(SECTION)_entry
LDFLAGS += -M
EXTRA_INCVPATH+=$(INSTALL_ROOT_nto)/usr/include/xilinx
EXTRA_LIBVPATH+=$(INSTALL_ROOT_nto)/usr/lib/xilinx


INSTALLDIR=sbin

include $(MKFILES_ROOT)/qtargets.mk
