/*
 * $QNXLicenseC: 
 * Copyright 2007, QNX Software Systems.  
 *  
 * Licensed under the Apache License, Version 2.0 (the "License"). You  
 * may not reproduce, modify or distribute this software except in  
 * compliance with the License. You may obtain a copy of the License  
 * at: http://www.apache.org/licenses/LICENSE-2.0  
 *  
 * Unless required by applicable law or agreed to in writing, software  
 * distributed under the License is distributed on an "AS IS" basis,  
 * WITHOUT WARRANTIES OF ANY KIND, either express or implied. 
 * 
 * This file may contain contributions from others, either as  
 * contributors under the License or as licensors under other terms.   
 * Please review this entire file for other proprietary rights or license  
 * notices, as well as the QNX Development Suite License Guide at  
 * http://licensing.qnx.com/license-guide/ for other information. 
 * $ 
 */






#define	PCI_VENDOR_ID_ACCTON						0x1113
		#define PCI_DEVICE_ID_ACCTON_1211			0x1211
		#define	PCI_DEVICE_ID_ACCTON_EN2242			0x1216

#define PCI_VENDOR_ID_SIS							0x1039
		#define	PCI_DEVICE_ID_SIS_630				0x0630 /* Host PCI */
		#define PCI_DEVICE_ID_SIS_963				0x0963 /* 963 MuTIOL */
		#define PCI_DEVICE_ID_SIS_964				0x0964 /* 964 MuTIOL */
		#define PCI_DEVICE_ID_SIS_5513				0x5513 /* IDE */
		#define PCI_DEVICE_ID_SIS_5518				0x5518 /* IDE */
		#define PCI_DEVICE_ID_SIS_5597				0x5597 /* Host PCI */
        #define PCI_DEVICE_ID_SIS_SATA              0x0180 /* SATA */
        #define PCI_DEVICE_ID_SIS_SATA_1            0x0181 /* SATA */

#define PCI_VENDOR_ID_V3							0x11b0
		#define PCI_DEVICE_ID_V3_960				0x0001
		#define PCI_DEVICE_ID_V3_961				0x0002
		#define PCI_DEVICE_ID_V3_962				0x0004
		#define PCI_DEVICE_ID_V3_292				0x0010

#define PCI_VENDOR_ID_REALTEK						0x10ec
		#define PCI_DEVICE_ID_REALTEK_8029			0x8029
		#define PCI_DEVICE_ID_REALTEK_8129			0x8129
		#define PCI_DEVICE_ID_REALTEK_8139			0x8139

#define PCI_VENDOR_ID_WINBOND2						0x1050
		#define PCI_DEVICE_ID_WINBOND2_89C940		0x0940

#define PCI_VENDOR_ID_WINBOND						0x10ad
		#define PCI_DEVICE_ID_WINBOND_W83C553F		0x0105

#define PCI_VENDOR_ID_COMPEX						0x11f6
		#define PCI_DEVICE_ID_COMPEX_RL2000			0x1401
        #define PCI_DEVICE_ID_COMPEX_RL100TX        0x9881

#define PCI_VENDOR_ID_KTI							0x8e2e
		#define PCI_DEVICE_ID_KTI_ET32P2			0x3000

#define PCI_VENDOR_ID_NETVIN						0x4a14
		#define PCI_DEVICE_ID_NETVIN_NV5000SC		0x5000

#define PCI_VENDOR_ID_SYMBIOS						0x1000
		#define PCI_DEVICE_ID_SYM_53C810			0x0001
		#define PCI_DEVICE_ID_SYM_53C820			0x0002
		#define PCI_DEVICE_ID_SYM_53C825			0x0003
		#define PCI_DEVICE_ID_SYM_53C815			0x0004
		#define PCI_DEVICE_ID_SYM_53C810AP			0x0005
		#define PCI_DEVICE_ID_SYM_53C860			0x0006
		#define PCI_DEVICE_ID_SYM_53C896			0x000B
		#define PCI_DEVICE_ID_SYM_53C885			0x000C
		#define PCI_DEVICE_ID_SYM_53C895			0x000D
		#define PCI_DEVICE_ID_SYM_53C875			0x000F
		#define PCI_DEVICE_ID_SYM_53C895A			0x0012

#define PCI_VENDOR_ID_IBM							0x1014
		#define PCI_DEVICE_ID_IBM_TOKENRING			0x003e
		#define PCI_DEVICE_ID_IBM_TOKENRINGLS		0x0018

#define PCI_VENDOR_ID_ADAPTEC						0x9004
		#define PCI_DEVICE_ID_ADAPTEC_7850			0x5078
		#define PCI_DEVICE_ID_ADAPTEC_7855			0x5578
		#define PCI_DEVICE_ID_ADAPTEC_7860			0x6078
		#define PCI_DEVICE_ID_ADAPTEC_7861			0x6178
		#define PCI_DEVICE_ID_ADAPTEC_7870			0x7078
		#define PCI_DEVICE_ID_ADAPTEC_2940			0x7178
		#define PCI_DEVICE_ID_ADAPTEC_3940			0x7278
		#define PCI_DEVICE_ID_ADAPTEC_3985			0x7378
		#define PCI_DEVICE_ID_ADAPTEC_7874			0x7478
		#define PCI_DEVICE_ID_ADAPTEC_7880			0x8078
		#define PCI_DEVICE_ID_ADAPTEC_2940F			0x8178
		#define PCI_DEVICE_ID_ADAPTEC_7882			0x8278
		#define PCI_DEVICE_ID_ADAPTEC_7883			0x8378
		#define PCI_DEVICE_ID_ADAPTEC_7884			0x8478

#define PCI_VENDOR_ID_QLOGIC						0x1077
		#define PCI_DEVICE_ID_QLOGIC_ISP1020		0x1020

#define PCI_VENDOR_ID_DPT               			0x1044   
		#define PCI_DEVICE_ID_DPT               	0xa400  

#define PCI_VENDOR_ID_S3							0x5333
		#define PCI_DEVICE_ID_S3_VIRGE				0x5631
		#define PCI_DEVICE_ID_S3_VIRGEVX			0x883d
		#define PCI_DEVICE_ID_S3_864_1				0x88c0
		#define PCI_DEVICE_ID_S3_864_2				0x88c1
		#define PCI_DEVICE_ID_S3_928				0x88b0
		#define PCI_DEVICE_ID_S3_964_1				0x88d0
		#define PCI_DEVICE_ID_S3_964_2				0x88d1
		#define PCI_DEVICE_ID_S3_811				0x8811
		#define PCI_DEVICE_ID_S3_AURORA64VP			0x8812
		#define PCI_DEVICE_ID_S3_TRIO64UVP			0x8814
		#define PCI_DEVICE_ID_S3_868				0x8880
		#define PCI_DEVICE_ID_S3_968				0x88f0

#define PCI_VENDOR_ID_OPTI							0x1045
		#define PCI_DEVICE_ID_OPTI_82C822			0xc822
		#define PCI_DEVICE_ID_OPTI_82C621			0xc621

#define PCI_VENDOR_ID_UMC							0x1060
		#define PCI_DEVICE_ID_UMC_UM8881F			0x8881
		#define PCI_DEVICE_ID_UMC_UM8891A			0x0891
		#define PCI_DEVICE_ID_UMC_UM8886F			0x8886
		#define PCI_DEVICE_ID_UMC_UM8673F			0x0101

#define PCI_VENDOR_ID_DEC							0x1011
		#define PCI_DEVICE_ID_DEC_BRD				0x0001
		#define PCI_DEVICE_ID_DEC_21040				0x0002
		#define PCI_DEVICE_ID_DEC_TGA				0x0004
		#define PCI_DEVICE_ID_DEC_SMC_21140			0x0008
		#define PCI_DEVICE_ID_DEC_21140				0x0009
		#define PCI_DEVICE_ID_DEC_FDDI				0x000F
		#define PCI_DEVICE_ID_DEC_21041				0x0014
		#define PCI_DEVICE_ID_DEC_21143				0x0019
		#define PCI_DEVICE_ID_DEC_21052				0x0021
		#define PCI_DEVICE_ID_DEC_21152				0x0024
		#define PCI_DEVICE_ID_DEC_21154				0x0026
		#define PCI_DEVICE_ID_DEC_PNIC				0x0030
		#define PCI_DEVICE_ID_DEC_21145				0x0039
		#define PCI_DEVICE_ID_DEC_21554				0x0046

#define PCI_VENDOR_ID_LITEON                        0x11AD
        #define PCI_DEVICE_ID_LITEON_PNIC           0x0002
        #define PCI_DEVICE_ID_LITEON_PNICX          0x0168
        #define PCI_DEVICE_ID_LITEON_PNICII         0xc115

#define PCI_VENDOR_ID_MACRONIX                      0x10d9
        #define PCI_DEVICE_ID_MACRONIX_98713        0x0512
        #define PCI_DEVICE_ID_MACRONIX_987x5        0x0531

#define PCI_VENDOR_ID_ABOCOM                        0x13d1
        #define PCI_DEVICE_ID_ABOCOM_FE2500         0xab02
        #define PCI_DEVICE_ID_ABOCOM_SMC8035        0xab08

#define PCI_VENDOR_ID_ASIX                          0x125b
        #define PCI_DEVICE_ID_ASIX_88140            0x1400

#define PCI_VENDOR_ID_ADMTEK                        0x1317
        #define PCI_DEVICE_ID_ADMTEK_AN981          0x0981
        #define PCI_DEVICE_ID_ADMTEK_AN985          0x0985

#define PCI_VENDOR_ID_XIRCOM                        0x115d
        #define PCI_DEVICE_ID_XIRCOM_TULIP          0x0003

#define PCI_VENDOR_ID_MATROX						0x102B
		#define PCI_DEVICE_ID_MATROX_MGA_2			0x0518
		#define PCI_DEVICE_ID_MATROX_MGA_IMP		0x0d10

#define PCI_VENDOR_ID_3COM		0x10b7
		#define PCI_DEVICE_ID_3COM_3C450			0x4500
		#define PCI_DEVICE_ID_3COM_3C575B			0x5157
		#define PCI_DEVICE_ID_3COM_3C575C			0x5257
		#define PCI_DEVICE_ID_3COM_3C590			0x5900
		#define PCI_DEVICE_ID_3COM_3C595TX			0x5950
		#define PCI_DEVICE_ID_3COM_3C595T4			0x5951
		#define PCI_DEVICE_ID_3COM_3C595MII			0x5952
		#define PCI_DEVICE_ID_3COM_3C556			0x6055
		#define PCI_DEVICE_ID_3COM_3C556B			0x6056
		#define PCI_DEVICE_ID_3COM_3C656			0x6560
		#define PCI_DEVICE_ID_3COM_3C656B			0x6562
		#define PCI_DEVICE_ID_3COM_3C656C			0x6564
		#define PCI_DEVICE_ID_3COM_3C900			0x9000
		#define PCI_DEVICE_ID_3COM_3C900_COMBO		0x9001
		#define PCI_DEVICE_ID_3COM_3C900B			0x9004
		#define PCI_DEVICE_ID_3COM_3C900B_COMBO		0x9005
		#define PCI_DEVICE_ID_3COM_3C900B_TPO		0x9006
		#define PCI_DEVICE_ID_3COM_3C900B_FL		0x900a
		#define PCI_DEVICE_ID_3COM_905				0x9050
		#define PCI_DEVICE_ID_3COM_905_COMBO		0x9051
		#define PCI_DEVICE_ID_3COM_905B				0x9055
		#define PCI_DEVICE_ID_3COM_905B_T4			0x9056
		#define PCI_DEVICE_ID_3COM_905B_COMBO		0x9058
		#define PCI_DEVICE_ID_3COM_905B_FX			0x905a
		#define PCI_DEVICE_ID_3COM_905C				0x9200
		#define PCI_DEVICE_ID_3COM_905_IXP200		0x9202
		#define PCI_DEVICE_ID_3COM_980				0x9800
		#define PCI_DEVICE_ID_3COM_980_TX			0x9805

#define PCI_VENDOR_ID_INTEL							0x8086
		#define PCI_DEVICE_ID_INTEL_82378				0x0484
		#define PCI_DEVICE_ID_INTEL_82424				0x0483
		#define PCI_DEVICE_ID_INTEL_82375				0x0482
		#define PCI_DEVICE_ID_INTEL_82434				0x04a3
		#define PCI_DEVICE_ID_INTEL_82430				0x0486
		#define PCI_DEVICE_ID_INTEL_82437				0x122d
		#define PCI_DEVICE_ID_INTEL_82371				0x122e
		
		#define PCI_DEVICE_ID_INTEL_82542				0x1000
		#define PCI_DEVICE_ID_INTEL_82543GC_F			0x1001
		#define PCI_DEVICE_ID_INTEL_82543GC_C 			0x1004
		#define PCI_DEVICE_ID_INTEL_82546GB_P			0x108A
		#define PCI_DEVICE_ID_INTEL_82573E			0x108B
		#define PCI_DEVICE_ID_INTEL_82573E_I			0x108C
		#define PCI_DEVICE_ID_INTEL_82546GB_QC		0x1099

		#define PCI_DEVICE_ID_INTEL_82544_C			0x1008	/* Gigabit Ethernet */
		#define PCI_DEVICE_ID_INTEL_82544			0x1009	/* Gigabit Ethernet */
		#define PCI_DEVICE_ID_INTEL_82544GC			0x100c	/* Gigabit Ethernet */
		#define PCI_DEVICE_ID_INTEL_82544GC_1		0x100d	/* Gigabit Ethernet */
		#define PCI_DEVICE_ID_INTEL_82540EM			0x100e	/* Gigabit Ethernet */
		#define PCI_DEVICE_ID_INTEL_82545EM			0x100f	/* Gigabit Ethernet */
		#define PCI_DEVICE_ID_INTEL_82546EB			0x1010	/* Gigabit Ethernet */
		#define PCI_DEVICE_ID_INTEL_82545EM_1		0x1011	/* Gigabit Ethernet */
		#define PCI_DEVICE_ID_INTEL_82546EB_1		0x1012	/* Gigabit Ethernet */
		#define PCI_DEVICE_ID_INTEL_82541EI			0x1013	/* Gigabit Ethernet */
		#define PCI_DEVICE_ID_INTEL_82540EM_1		0x1015	/* Gigabit Ethernet */
		#define PCI_DEVICE_ID_INTEL_82540EP			0x1016	/* Gigabit Ethernet */
		#define PCI_DEVICE_ID_INTEL_82540EP_1		0x1017	/* Gigabit Ethernet */
		#define PCI_DEVICE_ID_INTEL_82541EI_1		0x1018	/* Gigabit Ethernet */
		#define PCI_DEVICE_ID_INTEL_82547EI			0x1019	/* Gigabit Ethernet */
		#define PCI_DEVICE_ID_INTEL_82546EB_2		0x101d	/* Gigabit Ethernet */
		#define PCI_DEVICE_ID_INTEL_82540EP_2		0x101e	/* Gigabit Ethernet */
		#define PCI_DEVICE_ID_INTEL_82545GM			0x1026	/* Gigabit Ethernet */
		#define PCI_DEVICE_ID_INTEL_82545GM_1		0x1027	/* Gigabit Ethernet */
		#define PCI_DEVICE_ID_INTEL_82545GM_2		0x1028	/* Gigabit Ethernet */
		#define PCI_DEVICE_ID_INTEL_82547GI			0x1075	/* Gigabit Ethernet */
		#define PCI_DEVICE_ID_INTEL_82541GI			0x1076	/* Gigabit Ethernet */
		#define PCI_DEVICE_ID_INTEL_82541GI_1		0x1077	/* Gigabit Ethernet */
		#define PCI_DEVICE_ID_INTEL_82541EI_2		0x1078	/* Gigabit Ethernet */
		#define PCI_DEVICE_ID_INTEL_82546GB			0x1079	/* Gigabit Ethernet */
		#define PCI_DEVICE_ID_INTEL_82546GB_1		0x107a	/* Gigabit Ethernet */
		#define PCI_DEVICE_ID_INTEL_82546GB_2		0x107b	/* Gigabit Ethernet */
		#define PCI_DEVICE_ID_INTEL_82546GB_3		0x107c	/* Gigabit Ethernet */
		#define PCI_DEVICE_ID_INTEL_82557			0x1229
		#define PCI_DEVICE_ID_INTEL_82558ER			0x1209
		#define PCI_DEVICE_ID_INTEL_82559_1			0x1029
		#define PCI_DEVICE_ID_INTEL_82559			0x1030
		#define PCI_DEVICE_ID_INTEL_82559A			0x1031
		#define PCI_DEVICE_ID_INTEL_PRO100VE		0x1032
		#define PCI_DEVICE_ID_INTEL_PRO100VM		0x1033
		#define PCI_DEVICE_ID_INTEL_PRO100VM_1		0x1034
		#define PCI_DEVICE_ID_INTEL_82562EH			0x1035
		#define PCI_DEVICE_ID_INTEL_82562EH_1		0x1036
		#define PCI_DEVICE_ID_INTEL_82562EH_2		0x1037
		#define PCI_DEVICE_ID_INTEL_PRO100VM_2		0x1038
		#define PCI_DEVICE_ID_INTEL_PRO100VE_1		0x1039
		#define PCI_DEVICE_ID_INTEL_PRO100VE_2		0x103a
		#define PCI_DEVICE_ID_INTEL_PRO100VM_3		0x103b
		#define PCI_DEVICE_ID_INTEL_PRO100VM_4		0x103c
		#define PCI_DEVICE_ID_INTEL_82559A_VE		0x103d
		#define PCI_DEVICE_ID_INTEL_PRO100VM_5		0x103e
		#define PCI_DEVICE_ID_INTEL_82562EZ			0x1050
		#define PCI_DEVICE_ID_INTEL_82801EB			0x1051
		#define PCI_DEVICE_ID_INTEL_82801EB_1		0x1052
		#define PCI_DEVICE_ID_INTEL_82801EB_2		0x1053
		#define PCI_DEVICE_ID_INTEL_82801EB_3		0x1053
		#define PCI_DEVICE_ID_INTEL_82801EB_4		0x1055
		#define PCI_DEVICE_ID_INTEL_82551QM			0x1059
		#define PCI_DEVICE_ID_INTEL_82562EM			0x1069
        #define PCI_DEVICE_ID_INTEL_82559VE         0x2449
		#define	PCI_DEVICE_ID_INTEL_82559B			0x2459	/* 82559 on 82815 */
		#define	PCI_DEVICE_ID_INTEL_82559C			0x245D	/* 82559 on 82815 */
		#define PCI_DEVICE_ID_INTEL_PIIX2			0x1230
		#define PCI_DEVICE_ID_INTEL_PIIX3			0x7010
		#define PCI_DEVICE_ID_INTEL_PIIX4			0x7111
		#define PCI_DEVICE_ID_INTEL_82443MX_IDE		0x7199  /* IDE */
		#define	PCI_DEVICE_ID_INTEL_82801AA			0x2411	/* 82801AA IDE */
		#define	PCI_DEVICE_ID_INTEL_82801AB			0x2421	/* 82801AB IDE */
		#define	PCI_DEVICE_ID_INTEL_82801BAM		0x244A	/* 82801BA IDE */
		#define	PCI_DEVICE_ID_INTEL_82801BA			0x244B	/* 82801BA IDE */
		#define	PCI_DEVICE_ID_INTEL_82801CAM		0x248A	/* 82801CAM IDE */
		#define	PCI_DEVICE_ID_INTEL_82801CA			0x248B	/* 82801CA IDE */
		#define	PCI_DEVICE_ID_INTEL_82801DBM		0x24CA	/* 82801DBM IDE Controller */
		#define	PCI_DEVICE_ID_INTEL_82801DB			0x24CB	/* 82801DB IDE */
		#define	PCI_DEVICE_ID_INTEL_82801EB_SATA	0x24D1	/* 82801EB Serial ATA Controller */
		#define	PCI_DEVICE_ID_INTEL_82801EB_IDE		0x24DB	/* 82801EB/ER IDE Controller */
		#define	PCI_DEVICE_ID_INTEL_82801ER_SATA	0x24DF	/* 82801ER Serial ATA Controller */
		#define	PCI_DEVICE_ID_INTEL_82801FB_IDE		0x266F	/* 82801FB IDE Controller ICH6 */
		#define	PCI_DEVICE_ID_INTEL_82801FB_SATA	0x2651	/* 82801FB/W Serial ATA Controller */
		#define	PCI_DEVICE_ID_INTEL_82801FR_SATA	0x2652	/* 82801FR/W Serial ATA Controller */
		#define	PCI_DEVICE_ID_INTEL_82801FBM_SATA	0x2653	/* 82801FBM Serial ATA Controller */
		#define	PCI_DEVICE_ID_INTEL_80001ESB_IDE    0x25a2	/* 82801ESB ATA Controller (Hance Rapids) */
		#define	PCI_DEVICE_ID_INTEL_80001ESB_SATA   0x25a3	/* 80001ESB Serial ATA Controller (Hance Rapids) */

#define PCI_VENDOR_ID_SMC							0x10b8
		#define PCI_DEVICE_ID_SMC_EPIC				0x0005
		#define PCI_DEVICE_ID_SMC_EPIC_75			0x0006

#define PCI_VENDOR_ID_PCTECH						0x1042
		#define PCI_DEVICE_ID_PCTECH_RZ1000			0x1000
		#define PCI_DEVICE_ID_PCTECH_RZ1000_R1		0x1001

#define PCI_VENDOR_ID_ATI							0x1002
		#define PCI_DEVICE_ID_ATI_M32				0x4158
		#define PCI_DEVICE_ID_ATI_M64CT				0x4354
		#define PCI_DEVICE_ID_ATI_M64CX				0x4358
		#define PCI_DEVICE_ID_ATI_M64ET				0x4554
		#define PCI_DEVICE_ID_ATI_M64GX				0x4758
		#define PCI_DEVICE_ID_ATI_VT				0x5654

#define PCI_VENDOR_ID_WEITEK						0x100e
		#define PCI_DEVICE_ID_WEITEK_P9000			0x9001
		#define PCI_DEVICE_ID_WEITEK_P9100			0x9100

#define PCI_VENDOR_ID_CIRRUS						0x1013
		#define PCI_DEVICE_ID_CIRRUS_5430			0x00a0
		#define PCI_DEVICE_ID_CIRRUS_5434_4			0x00a4
		#define PCI_DEVICE_ID_CIRRUS_5434_8			0x00a8
		#define PCI_DEVICE_ID_CIRRUS_5436			0x00ac
		#define PCI_DEVICE_ID_CIRRUS_6729			0x1100
		#define PCI_DEVICE_ID_CIRRUS_6832			0x1110
		#define PCI_DEVICE_ID_CIRRUS_7542			0x1200
		#define PCI_DEVICE_ID_CIRRUS_7543			0x1202

#define PCI_VENDOR_ID_BUSLOGIC						0x104B
		#define PCI_DEVICE_ID_BUSLOGIC_946C			0x1040
		#define PCI_DEVICE_ID_BUSLOGIC_FLASHPOINT	0x8130

#define PCI_VENDOR_ID_N9							0x105D
		#define PCI_DEVICE_ID_N9_I128				0x2309

#define PCI_VENDOR_ID_AI							0x1025
		#define PCI_DEVICE_ID_AI_M1435				0x1435

#define PCI_VENDOR_ID_AL							0x10b9
		#define PCI_DEVICE_ID_AL_M1449				0x1449
		#define PCI_DEVICE_ID_AL_M1451				0x1451
		#define PCI_DEVICE_ID_AL_M4803				0x5215
		#define PCI_DEVICE_ID_AL_IDE				0x5229

#define PCI_VENDOR_ID_TSENG							0x100c
		#define PCI_DEVICE_ID_TSENG_W32P_2			0x3202
		#define PCI_DEVICE_ID_TSENG_W32P_b			0x3205
		#define PCI_DEVICE_ID_TSENG_W32P_c			0x3206
		#define PCI_DEVICE_ID_TSENG_W32P_d			0x3207

#define PCI_VENDOR_ID_SIL							0x1095
#define PCI_VENDOR_ID_CMD							0x1095
		#define PCI_DEVICE_ID_CMD_640				0x0640
		#define PCI_DEVICE_ID_CMD_643				0x0643
		#define PCI_DEVICE_ID_CMD_646				0x0646
		#define PCI_DEVICE_ID_CMD_647				0x0647
		#define PCI_DEVICE_ID_CMD_648				0x0648
		#define PCI_DEVICE_ID_CMD_649				0x0649
		#define PCI_DEVICE_ID_CMD_670				0x0670
		#define PCI_DEVICE_ID_CMD_680				0x0680
		#define PCI_DEVICE_ID_SIL_680				0x0680

#define PCI_VENDOR_ID_VISION						0x1098
		#define PCI_DEVICE_ID_VISION_QD8500			0x0001

#define PCI_VENDOR_ID_AMD							0x1022
		#define PCI_DEVICE_ID_AMD_PCNET				0x2000
		#define PCI_DEVICE_ID_AMD_PCNET_HOME		0x2001
		#define PCI_DEVICE_ID_AMD_SCSI				0x2020
		#define PCI_DEVICE_ID_AMD_PCB756_IDE		0x7409
		#define PCI_DEVICE_ID_AMD_PCB766_IDE		0x7411
		#define PCI_DEVICE_ID_AMD_PCB768_IDE		0x7441
		#define	PCI_DEVICE_ID_AMD_PLX_7520			0x7450
		#define	PCI_DEVICE_ID_AMD_PLX_7520_APIC		0x7451
		#define PCI_DEVICE_ID_AMD_8111_IDE			0x7469

#define PCI_VENDOR_ID_VLSI							0x1004
		#define PCI_DEVICE_ID_VLSI_82C593			0x0006

#define PCI_VENDOR_ID_ADL							0x1005
		#define PCI_DEVICE_ID_ADL_2301				0x2301

#define PCI_VENDOR_ID_SYMPHONY						0x1c1c
		#define PCI_DEVICE_ID_SYMPHONY_101			0x0001

#define PCI_VENDOR_ID_TRIDENT						0x1023
		#define PCI_DEVICE_ID_TRIDENT_9420			0x9420
		#define PCI_DEVICE_ID_TRIDENT_9440			0x9440

#define PCI_VENDOR_ID_CONTAQ						0x1080
		#define PCI_DEVICE_ID_CONTAQ_82C599			0x0600

#define PCI_VENDOR_ID_NS							0x100b
		#define PCI_DEVICE_ID_NS_87410				0xd001
		#define PCI_DEVICE_ID_NS_CS5530_IDE			0x0102
		#define PCI_DEVICE_ID_NS_SC_IDE				0x0502

#define PCI_VENDOR_ID_VIA							0x1106
		#define PCI_DEVICE_ID_VIA_82C505			0x0505
		#define PCI_DEVICE_ID_VIA_82C576			0x0576  /* IDE */
		#define PCI_DEVICE_ID_VIA_82C586B			0x0571  /* IDE */
		#define PCI_DEVICE_ID_VIA_82C586			0x0586  /* IDE */
		#define PCI_DEVICE_ID_VIA_82C596A			0x0596  /* IDE */
		#define PCI_DEVICE_ID_VIA_82C686A			0x0686  /* PCI to ISA bridge */
		#define PCI_DEVICE_ID_VIA_8231				0x8231  /* IDE */
		#define PCI_DEVICE_ID_VIA_82C926			0x0926
		#define PCI_DEVICE_ID_VIA_RHINE				0x3043 
		#define PCI_DEVICE_ID_VIA_RHINEII			0x6100 
		#define PCI_DEVICE_ID_VIA_RHINEIII			0x3065 
		#define PCI_DEVICE_ID_VIA_VT6105			0x3106 
		#define PCI_DEVICE_ID_VIA_8231				0x8231  /* PCI to ISA bridge */
		#define PCI_DEVICE_ID_VIA_8233				0x3074  /* PCI to ISA bridge */
		#define PCI_DEVICE_ID_VIA_8233A				0x3147  /* PCI to ISA bridge */
		#define PCI_DEVICE_ID_VIA_8233C				0x3109  /* PCI to ISA bridge */
		#define PCI_DEVICE_ID_VIA_8235				0x3177  /* PCI to ISA bridge */
		#define PCI_DEVICE_ID_VIA_8237				0x3227  /* PCI to ISA bridge */
		#define PCI_DEVICE_ID_VIA_8237_SATA			0x3149  /* SATA Controller */

#define PCI_VENDOR_ID_SI							0x1039
		#define PCI_DEVICE_ID_SI_496				0x0496
		#define PCI_DEVICE_ID_SI_501				0x0406
		#define PCI_DEVICE_ID_SI_503				0x0008

#define PCI_VENDOR_ID_LEADTEK						0x107d
		#define PCI_DEVICE_ID_LEADTEK_805			0x0000

#define PCI_VENDOR_ID_IMS							0x10e0
		#define PCI_DEVICE_ID_IMS_8849				0x8849

#define PCI_VENDOR_ID_ZEINET						0x1193
		#define PCI_DEVICE_ID_ZEINET_1221			0x0001

#define PCI_VENDOR_ID_EF							0x111a
		#define PCI_DEVICE_ID_EF_ATM				0x0000

#define PCI_VENDOR_ID_HER							0xedd8
		#define PCI_DEVICE_ID_HER_STING				0xa091

#define PCI_VENDOR_ID_ATRONICS						0x907f
		#define PCI_DEVICE_ID_ATRONICS_2015			0x2015

#define PCI_VENDOR_ID_CT							0x102c
		#define PCI_DEVICE_ID_CT_65545				0x00d8

#define PCI_VENDOR_ID_RADIO							0x103e
		#define PCI_DEVICE_ID_RADIO_DDS				0x9601

#define PCI_VENDOR_ID_PROMISE						0x105a
		#define PCI_DEVICE_ID_PROMISE_20262			0x4d38
		#define PCI_DEVICE_ID_PROMISE_20265			0x0d30
		#define PCI_DEVICE_ID_PROMISE_20267			0x4d30
		#define PCI_DEVICE_ID_PROMISE_20268			0x4d68
		#define PCI_DEVICE_ID_PROMISE_20269			0x4d69
		#define PCI_DEVICE_ID_PROMISE_20246			0x4d33
		#define PCI_DEVICE_ID_PROMISE_20270			0x6268
		#define PCI_DEVICE_ID_PROMISE_20271			0x6269
		#define PCI_DEVICE_ID_PROMISE_20276			0x5275
		#define PCI_DEVICE_ID_PROMISE_20277			0x7275
		#define PCI_DEVICE_ID_PROMISE_5300			0x5300

#define PCI_VENDOR_ID_HPT							0x1103
		#define PCI_DEVICE_ID_HPT_343				0x0003
		#define PCI_DEVICE_ID_HPT_366				0x0004
		#define PCI_DEVICE_ID_HPT_372				0x0005
		#define PCI_DEVICE_ID_HPT_374				0x0008

#define PCI_VENDOR_ID_SIGMADESIGNS					0x1105
		#define PCI_DEVICE_ID_EM8400				0x8400

#define PCI_VENDOR_ID_CYRIX							0x1078
		#define PCI_DEVICE_ID_CYRIX_CX5530_IDE		0x0102

#define PCI_VENDOR_ID_SERVERWORKS					0x1166
		#define PCI_DEVICE_ID_SERVERWORKS_ISA_CSB5	0x0201
		#define PCI_DEVICE_ID_SERVERWORKS_IDE_OSB4	0x0211
		#define PCI_DEVICE_ID_SERVERWORKS_IDE_CSB5	0x0212

#define PCI_VENDOR_ID_NVIDIA						0x10de
        #define PCI_DEVICE_ID_NVIDIA_NFORCE_IDE     0x01bc
        #define PCI_DEVICE_ID_NVIDIA_NFORCE2_IDE    0x0065
        #define PCI_DEVICE_ID_NVIDIA_NFORCE2S_IDE   0x0085
        #define PCI_DEVICE_ID_NVIDIA_NFORCE2S_SATA  0x008e
        #define PCI_DEVICE_ID_NVIDIA_NFORCE3_IDE    0x00d5
        #define PCI_DEVICE_ID_NVIDIA_NFORCE3S_SATA  0x00e3
        #define PCI_DEVICE_ID_NVIDIA_NFORCE3S_IDE   0x00e5
        #define PCI_DEVICE_ID_NVIDIA_NFORCE3S_SATA2 0x00ee

		#define PCI_DEVICE_ID_NVIDIA_CK804_IDE		0x0053
		#define PCI_DEVICE_ID_NVIDIA_CK804_SATA		0x0054
		#define PCI_DEVICE_ID_NVIDIA_CK804_SATA2	0x0055

		#define PCI_DEVICE_ID_NVIDIA_MCP04_IDE		0x0035
		#define PCI_DEVICE_ID_NVIDIA_MCP04_SATA		0x0036
		#define PCI_DEVICE_ID_NVIDIA_MCP04_SATA2	0x003e

#define PCI_VENDOR_ID_LUCENT						0x12a3

#define	PCI_VENDOR_ID_HARRIS						0x1260
		#define PCI_DEVICE_ID_DWL_520				0x3873

#define	PCI_VENDOR_ID_PSI							0x1256
		#define PCI_DEVICE_ID_PSI_ROY1				0x5201

#define	PCI_VENDOR_ID_O2							0x1217
		#define PCI_DEVICE_ID_O2_6729				0x6729
		#define PCI_DEVICE_ID_O2_6730				0x673a
		#define PCI_DEVICE_ID_O2_6832				0x6832
		#define PCI_DEVICE_ID_O2_6836				0x6836
		#define PCI_DEVICE_ID_O2_6933				0x6933
		#define PCI_DEVICE_ID_O2_6812				0x6872
		#define PCI_DEVICE_ID_O2_6912				0x6972
		#define PCI_DEVICE_ID_O2_7113				0x7113
		#define PCI_DEVICE_ID_O2_71E2				0x71e2
		#define PCI_DEVICE_ID_O2_7213				0x7213

#define PCI_VENDOR_ID_TI							0x104c
		#define PCI_DEVICE_ID_TI_1130				0xac12
		#define PCI_DEVICE_ID_TI_1131				0xac15
		#define PCI_DEVICE_ID_TI_1031				0xac13
		#define PCI_DEVICE_ID_TI_1250A				0xac16
		#define PCI_DEVICE_ID_TI_1220				0xac17
		#define PCI_DEVICE_ID_TI_1221				0xac19
		#define PCI_DEVICE_ID_TI_1210				0xac1a
		#define PCI_DEVICE_ID_TI_1450				0xac1b
		#define PCI_DEVICE_ID_TI_1225				0xac1c
		#define PCI_DEVICE_ID_TI_1251A				0xac1d
		#define PCI_DEVICE_ID_TI_1211				0xac1e
		#define PCI_DEVICE_ID_TI_1251B				0xac1f
		#define	PCI_DEVICE_ID_TI_4450				0xac40
		#define	PCI_DEVICE_ID_TI_4451				0xac42
		#define	PCI_DEVICE_ID_TI_4510				0xac44
		#define PCI_DEVICE_ID_TI_1410				0xac50
		#define PCI_DEVICE_ID_TI_1420				0xac51
		#define PCI_DEVICE_ID_TI_1510				0xac56
		#define PCI_DEVICE_ID_TI_1520				0xac55
		#define PCI_DEVICE_ID_TI_7620				0xac8d
		#define PCI_DEVICE_ID_TI_7420				0xac8e

#define PCI_VENDOR_ID_TOSHIBA						0x1179
		#define PCI_DEVICE_ID_TOSHIBA_TOPIC95_A		0x0603
		#define PCI_DEVICE_ID_TOSHIBA_TOPIC95_B		0x060a
		#define PCI_DEVICE_ID_TOSHIBA_TOPIC97		0x060f

#define PCI_VENDOR_ID_RICOH							0x1180
		#define PCI_DEVICE_ID_RICOH_RL5C465			0x0465
		#define PCI_DEVICE_ID_RICOH_RL5C466			0x0466
		#define PCI_DEVICE_ID_RICOH_RL5C475			0x0475
		#define PCI_DEVICE_ID_RICOH_RL5C476			0x0476
		#define PCI_DEVICE_ID_RICOH_RL5C478			0x0478

#define	PCI_VENDOR_ID_DAVICOM						0x1282
		#define	PCI_DEVICE_ID_DAVICOM_DM9102		0x9102

#define PCI_VENDOR_ID_BROADCOM						0x14e4
		#define PCI_DEVICE_ID_BROADCOM_BCM5752		0x1600
		#define PCI_DEVICE_ID_BROADCOM_BCM5752M		0x1601
		#define PCI_DEVICE_ID_BROADCOM_BCM5700		0x1644
		#define PCI_DEVICE_ID_BROADCOM_BCM5701		0x1645
		#define PCI_DEVICE_ID_BROADCOM_BCM5702		0x1646
		#define PCI_DEVICE_ID_BROADCOM_BCM5703		0x1647
		#define PCI_DEVICE_ID_BROADCOM_BCM5704C		0x1648
		#define PCI_DEVICE_ID_BROADCOM_BCM5706		0x164a
		#define PCI_DEVICE_ID_BROADCOM_BCM5702FE	0x164d
		#define PCI_DEVICE_ID_BROADCOM_BCM5705		0x1653
		#define PCI_DEVICE_ID_BROADCOM_BCM5705_2	0x1654
		#define PCI_DEVICE_ID_BROADCOM_BCM5721		0x1659
		#define PCI_DEVICE_ID_BROADCOM_BCM5705M		0x165d
		#define PCI_DEVICE_ID_BROADCOM_BCM5705M2	0x165e
		#define PCI_DEVICE_ID_BROADCOM_BCM5780		0x166a
		#define PCI_DEVICE_ID_BROADCOM_BCM5780S		0x166b
		#define PCI_DEVICE_ID_BROADCOM_BCM5751		0x1677
		#define PCI_DEVICE_ID_BROADCOM_BCM5751M		0x167d
		#define PCI_DEVICE_ID_BROADCOM_BCM5782		0x1696
		#define PCI_DEVICE_ID_BROADCOM_BCM5788		0x169c
		#define PCI_DEVICE_ID_BROADCOM_BCM5789		0x169d
		#define PCI_DEVICE_ID_BROADCOM_BCM5702X		0x16a6
		#define PCI_DEVICE_ID_BROADCOM_BCM5703X		0x16a7
		#define PCI_DEVICE_ID_BROADCOM_BCM5704S		0x16a8
		#define PCI_DEVICE_ID_BROADCOM_BCM5706S		0x16aa
		#define PCI_DEVICE_ID_BROADCOM_BCM5702A3	0x16c6
		#define PCI_DEVICE_ID_BROADCOM_BCM5703XB	0x16c7
		#define PCI_DEVICE_ID_BROADCOM_BCM5781		0x16dd
		#define PCI_DEVICE_ID_BROADCOM_BCM5753		0x16f7
		#define PCI_DEVICE_ID_BROADCOM_BCM5753M		0x16fd
		#define	PCI_DEVICE_ID_BROADCOM_BCM4301_D11B	0x4301
		#define	PCI_DEVICE_ID_BROADCOM_BCM4307_D11B	0x4307
		#define	PCI_DEVICE_ID_BROADCOM_BCM4306_D11G	0x4320
		#define	PCI_DEVICE_ID_BROADCOM_BCM4306_ID2	0x4325
		#define	PCI_DEVICE_ID_BROADCOM_BCM4306_ID	0x4321
		#define	PCI_DEVICE_ID_BROADCOM_BCM4306_DUAL	0x4324
		#define	PCI_DEVICE_ID_BROADCOM_BCM4310_D11B	0x4311

#define	PCI_VENDOR_ID_AGERE							0x11c1
		#define	PCI_DEVICE_ID_AGERE_HERMES2			0xab34

#define	PCI_VENDOR_ID_ENE							0x1524
		#define	PCI_DEVICE_ID_ENE_1410				0x1410

#define	PCI_VENDOR_ID_LINKSYS						0x1737
		#define	PCI_DEVICE_ID_LINKSYS_PCM200		0xab09

#define PCI_VENDOR_ID_MARVELL						0x11ab
		#define PCI_DEVICE_ID_MARVELL_88SX5080		0x5080
		#define PCI_DEVICE_ID_MARVELL_88SX5081		0x5081
		#define PCI_DEVICE_ID_MARVELL_88SX5040		0x5040
		#define PCI_DEVICE_ID_MARVELL_88SX5041		0x5041
		#define PCI_DEVICE_ID_MARVELL_88SX6041		0x6041
		#define PCI_DEVICE_ID_MARVELL_88SX6081		0x6081

